from defence360agent.contracts.messages import MessageType
from defence360agent.plugins.generic_sensor import (
    GenericSensor as GenericSensorBase,
)
from defence360agent.plugins.generic_sensor import Protocol
from defence360agent.utils import Scope


class _Protocol(Protocol):
    METHOD2MSGTYPE = {
        "ALERT": MessageType.SensorAlert,
        "CAPTCHA": MessageType.CaptchaEvent,
        "INCIDENT": MessageType.SensorIncident,
        "UNBLOCK": MessageType.ClientUnblock,
        "NOOP": MessageType.Noop,
        "MALWARE_SCAN": MessageType.MalwareScan,
        "MALWARE_SCAN_TASK": MessageType.MalwareScanTask,
        "MALWARE_SCAN_COMPLETE": MessageType.MalwareScanComplete,
        "MALWARE_CLEAN_COMPLETE": MessageType.MalwareCleanComplete,
        "MALWARE_RESTORE_COMPLETE": MessageType.MalwareRestoreComplete,
        "SYNCLIST": MessageType.SynclistResponse,
    }


class GenericSensor(GenericSensorBase):
    PROTOCOL_CLASS = _Protocol
    SCOPE = Scope.IM360
