import logging

from defence360agent.rpc_tools.lookup import RootEndpoints, bind
from defence360agent.utils import Scope
from defence360agent.contracts.messages import MessageType
from im360.subsys.whitelist_rbl import create_rbl_whitelist

logger = logging.getLogger(__name__)


class CustomListsEndpoints(RootEndpoints):
    SCOPE = Scope.IM360

    @bind('reload-lists')
    async def reload_lists(self):
        message = MessageType.UpdateCustomLists()
        await self._sink.process_message(message)
        await create_rbl_whitelist()
